> ## Documentation Index
> Fetch the complete documentation index at: https://docs.windermere.com/llms.txt
> Use this file to discover all available pages before exploring further.

# agents

> agents



## OpenAPI

````yaml /windermereapi(1).json get /agents
openapi: 3.0.1
info:
  title: WindermereAPI
  description: ''
  version: '1.0'
servers:
  - url: https://api.windermere.com/v1/api
security:
  - apiKeyHeader: []
  - apiKeyQuery: []
paths:
  /agents:
    get:
      tags:
        - Endpoints
        - Agents & Offices
      summary: agents
      description: agents
      operationId: agents
      parameters:
        - name: moxi_works_company_id
          in: query
          description: >-
            A valid MoxiWorks Company ID. Use Company Endpoint to determine what
            moxi_works_company_id you can use.
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          description: >-
            For queries with multi-page responses, use the page_number parameter
            to return data for specific pages. Data for page 1 is returned if
            this parameter is not included. Use this parameter if total_pages
            indicates that there is more than one page of data available.
          schema:
            type: integer
        - name: updated_since
          in: query
          description: >-
            any Agent objects updated after this Unix timestamp will be returned
            in the response. If no updated_since parameter is included in the
            request, only Agent objects updated in the last seven days will be
            returned.


            By default only Agent objects updated in the last seven days will be
            returned.
          schema:
            type: integer
        - name: deactivated
          in: query
          description: >-
            To find Agent accounts deactivated within the specified timeframe,
            pass true for this boolean parameter.
          schema:
            type: boolean
        - name: deactivated_since
          in: query
          description: >-
            any Agent objects deactivated after this Unix timestamp will be
            returned in the response. If no deactivated_since parameter is
            included in the request, only Agent objects deactivated in the last
            seven days will be returned.


            By default only Agent objects deactivated in the last seven days
            will be returned.
          schema:
            type: integer
        - name: include_access_level
          in: query
          description: >-
            To include access level information for the agent in the response,
            pass true
          schema:
            type: boolean
        - name: include_company_programs
          in: query
          description: >-
            To include company specific programs associated with the agent in
            the response, pass true.
          schema:
            type: boolean
        - name: include_partners
          in: query
          description: >-
            To include affiliate data associated with the agent in the response,
            pass true.
          schema:
            type: boolean
        - name: include_website
          in: query
          description: >-
            To include the base url (website_base_url) of the agent’s MoxiWorks
            website pass true.
          schema:
            type: boolean
        - name: include_reviews
          in: query
          description: >-
            To include ratings and reviews associated with the agent in the
            response, pass true.
          schema:
            type: boolean
        - name: include_bio
          in: query
          description: To include bio associated with the agent in the response, pass true.
          schema:
            type: boolean
        - name: parent_company_id
          in: query
          description: >-
            This is the numeric_id or moxi_works_company_id of a company that is
            considered to be a parent company in the MoxiWorks Platform. This
            request attribute has two functions:


            1. It provides for a broad scope by which partners may be afforded
            permissions to perform MoxiWorks Platform actions, in scenarios
            where a partner does business with a parent company in the MoxiWorks
            System.

            2. It provides broad scope under which agents may be looked up using
            the source_agent_id request attribute in many scenarios across
            different MoxiWorks Platform endpoints and actions.


            Please note that this attribute cannot be used as a replacement for
            the moxi_works_company_id request attribute in scenarios where the
            moxi_works_company_id request attribute is required by the action.


            Please note that this attribute cannot be used to broaden scope of
            any request where the scope of the request is defined by the
            moxi_works_company_id request attribute.


            Please note that when passed in conjunction with the
            moxi_works_company_id request attribute, the value of
            moxi_works_company_id request attribute must be the numeric id form.


            Any use of this request attribute must be coordinated with MoxiWorks
            Platform Partner services. Please reach out to partner services for
            more information.
          schema:
            type: string
        - name: moxi_works_office_id
          in: query
          description: >-
            A valid MoxiWorks Office ID. Use Office Endpoint to determine what
            moxi_works_office_id you can use.
          schema:
            type: string
        - name: has_company_programs
          in: query
          description: >-
            To include only Agent objects associated with company specific
            programs pass true.
          schema:
            type: boolean
        - name: timestamps_only
          in: query
          description: >-
            If supplied then the results will exclude all data except primary
            identifiers and a unix timestamp (last_updated) & iso8601 timestamp
            (modification_timestamp) of the last time this record was updated.
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agents'
              example:
                - moxi_works_agent_id: string
                  agent_uuid: string
                  client_id_1: {}
                  client_id_2: string
                  client_auths: []
                  facebook_account_id: string
                  client_agent_id: {}
                  auth_client_id: {}
                  mls_agent_id: {}
                  license: string
                  mls_name: string
                  mls_abbreviation: string
                  available_mls:
                    - name: string
                      display_name: string
                      mls_abbreviation: string
                      agent_id: {}
                  moxi_works_office_id: string
                  office_id: 0
                  office_name: string
                  client_office_id: string
                  company_id: 0
                  client_company_id: string
                  alternate_internal_office_id: {}
                  office_address_street: string
                  office_address_street2: {}
                  office_address_city: string
                  office_address_state: string
                  office_address_zip: string
                  office_mailing_address_street: string
                  office_mailing_address_street2: {}
                  office_mailing_address_city: string
                  office_mailing_address_state: string
                  office_mailing_address_zip: string
                  name: {}
                  first_name: {}
                  last_name: {}
                  nickname: {}
                  mobile_phone_number: {}
                  alt_phone_number: {}
                  fax_phone_number: {}
                  main_phone_number: string
                  office_phone_number: string
                  primary_email_address: string
                  secondary_email_address: string
                  lead_routing_email_address: {}
                  email_addresses:
                    primary: string
                    display: string
                    alternate: string
                    moxi_sync: string
                    zillow: {}
                    lead_routing: {}
                  bio: {}
                  title: string
                  designations: {}
                  uuid: string
                  has_product_access: true
                  has_engage_access: true
                  access_level: string
                  view_level: string
                  teams: []
                  website_base_url: {}
                  twitter: {}
                  google_plus: {}
                  facebook: {}
                  instagram: {}
                  blogger: {}
                  youtube: {}
                  linked_in: {}
                  pinterest: {}
                  home_page: string
                  profile_image_url: string
                  profile_thumb_url: string
                  region: string
                  service_area_zip_codes: []
                  agent_website:
                    base_url: {}
                    bio_page_slug: {}
                  alternate_offices: []
                  partners: []
                  company_programs: []
                  source_metadata:
                    - identifier_source: string
                      identifier_type: string
                      identifier_key: {}
                  created_timestamp: 0
                  deactivated_timestamp: {}
                  last_updated_timestamp: 0
                  last_updated: 0
                  modification_timestamp: string
                  profile_visible_online: true
                  languages: []
                  user_reviews: []
components:
  schemas:
    Agents:
      type: array
      items:
        type: object
        properties:
          moxi_works_agent_id:
            type: string
          agent_uuid:
            type: string
          client_id_1: {}
          client_id_2:
            type: string
          client_auths:
            type: array
          facebook_account_id:
            type: string
          client_agent_id: {}
          auth_client_id: {}
          mls_agent_id: {}
          license:
            type: string
          mls_name:
            type: string
          mls_abbreviation:
            type: string
          available_mls:
            type: array
            items:
              type: object
              properties:
                name:
                  type: string
                display_name:
                  type: string
                mls_abbreviation:
                  type: string
                agent_id: {}
          moxi_works_office_id:
            type: string
          office_id:
            type: integer
          office_name:
            type: string
          client_office_id:
            type: string
          company_id:
            type: integer
          client_company_id:
            type: string
          alternate_internal_office_id: {}
          office_address_street:
            type: string
          office_address_street2: {}
          office_address_city:
            type: string
          office_address_state:
            type: string
          office_address_zip:
            type: string
          office_mailing_address_street:
            type: string
          office_mailing_address_street2: {}
          office_mailing_address_city:
            type: string
          office_mailing_address_state:
            type: string
          office_mailing_address_zip:
            type: string
          name: {}
          first_name: {}
          last_name: {}
          nickname: {}
          mobile_phone_number: {}
          alt_phone_number: {}
          fax_phone_number: {}
          main_phone_number:
            type: string
          office_phone_number:
            type: string
          primary_email_address:
            type: string
          secondary_email_address:
            type: string
          lead_routing_email_address: {}
          email_addresses:
            type: object
            properties:
              primary:
                type: string
              display:
                type: string
              alternate:
                type: string
              moxi_sync:
                type: string
              zillow: {}
              lead_routing: {}
          bio: {}
          title:
            type: string
          designations: {}
          uuid:
            type: string
          has_product_access:
            type: boolean
          has_engage_access:
            type: boolean
          access_level:
            type: string
          view_level:
            type: string
          teams:
            type: array
          website_base_url: {}
          twitter: {}
          google_plus: {}
          facebook: {}
          instagram: {}
          blogger: {}
          youtube: {}
          linked_in: {}
          pinterest: {}
          home_page:
            type: string
          profile_image_url:
            type: string
          profile_thumb_url:
            type: string
          region:
            type: string
          service_area_zip_codes:
            type: array
          agent_website:
            type: object
            properties:
              base_url: {}
              bio_page_slug: {}
          alternate_offices:
            type: array
          partners:
            type: array
          company_programs:
            type: array
          source_metadata:
            type: array
            items:
              type: object
              properties:
                identifier_source:
                  type: string
                identifier_type:
                  type: string
                identifier_key: {}
          created_timestamp:
            type: integer
          deactivated_timestamp: {}
          last_updated_timestamp:
            type: integer
          last_updated:
            type: integer
          modification_timestamp:
            type: string
          profile_visible_online:
            type: boolean
          languages:
            type: array
          user_reviews:
            type: array
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      name: x-api-key
      in: header
    apiKeyQuery:
      type: apiKey
      name: api-key
      in: query

````